An Introduction to Tkinter
前页 | Chapter 37. The Place Geometry Manager | 后页

# Options

The following options can be used with the `place` and `place_configure` methods:

Table 37-1. Place Manager Options

Option | Type | Description
--- | --- | ---
`anchor` | constant | Specifies which part of the widget that should be placed at the given position. Valid values are `N`, `NE`, `E`, `SE`, `SW`, `W`, `NW`, or `CENTER`. Default is `NW` (the upper left corner, that is).
`bordermode` | constant | If `INSIDE`, the size and position are relative to the reference widget's inner size, excluding any border. If `OUTSIDE`, it's relative to the outer size, including the border. Default is `INSIDE`. These constants are not defined in Python 1.5.2 and earlier. For compatibility, use the strings "inside" and "outside" instead.
`in (in_)` | widget | Place widget relative to the given widget. You can only place a widget relative to its parent, or to any decendant of its parent. If this option is not given, it defaults to the parent. Note that `in` is a reserved word in Python. To use it as a keyword option, append an underscore (`in_`).
`relwidth, relheight` | float | Size, relative to the reference widget.
`relx, rely` | float | Position, relative to the reference widget (usually the parent, unless otherwise specified by the `in` option). 0.0 is the left (upper) edge, 1.0 is the right (lower) edge.
`width, height` | integer | Size, in pixels. If omitted, it defaults to the widget's "natural" size.
`x, y` | integer | Absolute position, in pixels. If omitted, defaults to 0.

前页 | Home | 后页
Methods | Up | The Radiobutton Widget